Bug 130974 - quotations cause problems in kickstart elements
Summary: quotations cause problems in kickstart elements
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning   
(Show other bugs)
Version: unspecified
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhn360sat
TreeView+ depends on / blocked
 
Reported: 2004-08-26 11:30 UTC by Richard Keech
Modified: 2013-07-03 13:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 18:05:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Keech 2004-08-26 11:30:20 UTC
Description of problem:

In the Kickstart advanced options screen, where it is possible
to edit individual lines of the kickstart file, the use of
quotation marks in the xconfig line caused a problem.


Version-Release number of selected component (if applicable):

RHN Satellite version 3.4.0 build 37.


How reproducible:

Consistent.


Steps to Reproduce:
1.  Create a kickstart profile.

2.  Use advanced options to edit the profile and add an
xconfig line with something like:

   --card "SiS 930"

3.  Save the updated profile.
  
4.  Select advanced options to edit the profile again.

5.  Save the profile a second time.

6.  View the completed kickstart file and the xconfig line
has invalid, html-style elements like "&"  


Actual results:


Expected results:


Additional info:

Doesn't seem to happen on v3.5 RHN hosted.

Comment 1 Robin Norwood 2004-08-30 19:32:09 UTC
This is fixed in rhn350hosted and above

Comment 2 Todd Warner 2004-10-21 16:54:40 UTC
QA push. {ON_DEV,QA_READY} --> ON_QA

Comment 3 Robin Norwood 2004-10-21 17:11:55 UTC
Test plan: Follow the 'steps to reproduce' above.

Comment 4 Fanny Augustin 2004-11-24 15:10:35 UTC
Looks good on QA.

Comment 5 Todd Warner 2005-03-22 18:05:25 UTC
Mass move from PROD_READY to CLOSED:CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.